Skip to main content
PATCH
/
v1
/
webhooks
/
{id}
Update a webhook
curl --request PATCH \
  --url https://api.drin.run/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "enabled": true,
  "eventTypes": []
}
'
{
  "id": "<string>",
  "url": "<string>",
  "enabled": true,
  "eventTypes": [],
  "signingSecret": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.drin.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Drin API key, sent as Authorization: Bearer <key>.

Path Parameters

id
string
required

Body

application/json
url
string<uri>
enabled
boolean
eventTypes
enum<string>[]
Available options:
accepted,
queued,
sending,
sent,
delivery,
bounce,
complaint,
open,
click,
delivery_delayed,
rejected,
rendering_failure,
failed,
inbound_received,
inbound_rejected

Response

200 - application/json

The updated endpoint.

id
string
url
string<uri>
enabled
boolean
eventTypes
enum<string>[]
Available options:
accepted,
queued,
sending,
sent,
delivery,
bounce,
complaint,
open,
click,
delivery_delayed,
rejected,
rendering_failure,
failed,
inbound_received,
inbound_rejected
signingSecret
string

Returned only on create.

createdAt
string<date-time>